---

- name: Create directories (nfs)  # noqa 503
  file:
    path: "{{ item }}"
    state: directory
    recurse: true
  loop:
    - "{{ lustre_client_pkg_dir }}"
    - "{{ lustre_client_pkg_dir }}/nfs"

- name: Install NFS client
  package:
    name: "{{ nfs_packages }}"
    state: present

- name: Mount NFS volume
  mount:
    src: "{{ lustre_client_nfs_server }}:{{ lustre_client_nfs_dir }}"
    path: "{{ lustre_client_pkg_dir }}/nfs"
    opts: ro
    state: mounted
    fstype: nfs

- name: Copy packages  # noqa 208
  copy:
    src: "{{ lustre_client_pkg_dir }}/nfs/{{ item }}"
    remote_src: true
    dest: "{{ lustre_client_pkg_dir }}/"
  loop: "{{ lustre_client_packages }}"

- name: Unmount NFS volume
  mount:
    path: "{{ lustre_client_pkg_dir }}/nfs"
    state: absent

- name: Remove NFS mount directory  # noqa 503
  file:
    path: "{{ lustre_client_pkg_dir }}/nfs"
    state: absent
